xcb_x_print_print_set_attributes(3)

NAME
xcb_x_print_print_set_attributes -

SYNOPSIS
#include <xcb/xprint.h>

  Request function

xcb_void_cookie_t xcb_x_print_print_set_attributes(xcb_connection_t *conn, xcb_x_print_pcontext_t context, uint32_t stringLen, uint8_t pool, uint8_t rule, uint32_t attributes_len, const xcb_x_print_string8_t *attributes);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

context
    TODO: NOT YET DOCUMENTED.

stringLen
    TODO: NOT YET DOCUMENTED.

pool
    TODO: NOT YET DOCUMENTED.

rule
    TODO: NOT YET DOCUMENTED.

attributes_len
    TODO: NOT YET DOCUMENTED.

attributes
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_x_print_print_set_attributes_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xprint.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.